# Before `make install' is performed this script should be runnable with
# `make test'. After `make install' it should work as `perl test.pl'

######################### We start with some black magic to print on failure.

# Change 1..1 below to 1..last_test_to_print .
# (It may become useful if the test is moved to ./t subdirectory.)

BEGIN { $| = 1; print "1..4\n"; }
END {print "not ok 1\n" unless $loaded;}

print "Loading RDF::Parser...";
use RDF::Parser;
$loaded = 1;
print "ok 1\n";

######################### End of black magic.

# Insert your test code below (better if it prints "ok 13"
# (correspondingly "not ok 13") depending on the success of chunk 13
# of the test code):

my $errors;

my $parser = RDF::Parser->new;

#
# example1.rdf
#
print "Loading example1.rdf...";
$parser->parsefile ("test/example1.rdf");
$errors = $parser->errors();

if (ref($errors) eq "ARRAY") {
  if (@$errors > 1) {
    print "not ok 2\n";
  }
} else {
  print "ok 2\n";
}

#
# example2.rdf
#
print "Loading example2.rdf...";
$parser->parsefile ("test/example2.rdf");
$errors = $parser->errors();

if (ref($errors) eq "ARRAY") {
  if (@$errors > 1) {
    print "not ok 3\n";
  }
} else {
  print "ok 3\n";
}

#
# example3.rdf
#
print "Loading example3.rdf...";
$parser->parsefile ("test/example3.rdf");
$errors = $parser->errors();

if (ref($errors) eq "ARRAY") {
  if (@$errors > 1) {
    print "not ok 4\n";
  }
} else {
  print "ok 4\n";
}
